Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4510 - lpd dies when host or user cannot be authenticated
Summary: lpd dies when host or user cannot be authenticated
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: lpr
Version: 6.0
Hardware: i386
OS: Linux
high
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-08-13 14:38 UTC by sas
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-28 05:43:49 UTC


Attachments (Terms of Use)

Description sas 1999-08-13 14:38:36 UTC
I have tried linux 5.2 and 6 for this. When lpd receives
either a print
request from an unknown user or an unknown host it just
dies. Some files
must be removed from /var/spool/lpd/hp0 and the demon
restarted. As a
consequence of whatever it is that happened there are a few
zero-length cf
files left, and the first printer job displayed by lpq is
zero length.

-rw-rw----   1 root     root            0 Jul 23 15:44
cfA033iQtINkn
-rw-rw----   1 root     root            0 Jul 23 15:44
cfA033iWoNc3o
-rw-rw----   1 root     root            0 Jul 23 15:44
cfA033ib246jA
-rw-rw----   1 root     root           87 Jul 23 15:44
cfA033iltzOgg

I would prefer that lpd just reject the job!

Comment 1 zurk 1999-08-16 00:07:59 UTC
i believe the lpr 0.39 rpm solves this altho i could be wrong. I think
something similar was posted earlier..although no rpm was put on the
errata section.

Comment 2 Preston Brown 1999-08-28 05:43:59 UTC
this has been solved for the next release (6.1).


Note You need to log in before you can comment on or make changes to this bug.